VariantTransform (Gradle API 7.6.4)

Package org.gradle.api.artifacts.transform

## Interface VariantTransform

-     @Deprecated
      public interface VariantTransform

  Deprecated.
  Use `TransformSpec` instead.
  Registration of an variant transform.
  Since:
    3.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `artifactTransform​(java.lang.Class<? extends ArtifactTransform> type)` | Deprecated. Action to transform artifacts for this variant transform.
    `void` | `artifactTransform​(java.lang.Class<? extends ArtifactTransform> type, Action<? super ActionConfiguration> configAction)` | Deprecated. Action to transform artifacts for this variant transform, potentially supplying some configuration to inject into the transform.
    `AttributeContainer` | `getFrom()` | Deprecated. Attributes that match the variant that is consumed.
    `AttributeContainer` | `getTo()` | Deprecated. Attributes that match the variant that is produced.

- - ### Method Detail

    - #### getFrom

          AttributeContainer getFrom()

      Deprecated.
      Attributes that match the variant that is consumed.

    - #### getTo

          AttributeContainer getTo()

      Deprecated.
      Attributes that match the variant that is produced.

    - #### artifactTransform

          void artifactTransform​(java.lang.Class<? extends ArtifactTransform> type)

      Deprecated.
      Action to transform artifacts for this variant transform.

      An instance of the specified type is created for each file that is to be transformed. The class should provide a public zero-args constructor.

    - #### artifactTransform

          void artifactTransform​(java.lang.Class<? extends ArtifactTransform> type,
                                 Action<? super ActionConfiguration> configAction)

      Deprecated.
      Action to transform artifacts for this variant transform, potentially supplying some configuration to inject into the transform.

      An instance of the specified type is created for each file that is to be transformed. The class should provide a public constructor that accepts the provided configuration.